Accessor Iterator

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Data Structures | Functions
Accessor Iterator
Eina C++Eina C++ » | Data Types » Content Access

## Data Structures
struct | efl::eina::accessor_iterator< T, Enable >
struct | efl::eina::accessor_iterator< T, typename std::enable_if< !std::is_base_of<::efl::eo::concrete, T >::value, T >::type >
| Random access iterator for `eina::accessor`. More...
struct | efl::eina::accessor_iterator< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value, T >::type >
| Specialization for all data types that are not derivated from efl::eo::concrete. More...

## Functions
template<typename U >
bool | efl::eina::operator== (accessor_iterator< U > const &lhs, accessor_iterator< U > const &rhs)
| Check if `lhs` and `rhs` point to the same position. More...
template<typename U >
bool | efl::eina::operator!= (accessor_iterator< U > const &lhs, accessor_iterator< U > const &rhs)
| Check if `lhs` and `rhs` point to different positions. More...
template<typename U >
accessor_iterator< U >::difference_type | efl::eina::operator- (accessor_iterator< U > const &lhs, accessor_iterator< U > const &rhs)
| Get the distance between two `accessor_iterator`s. More...
template<typename U >
accessor_iterator< U > | efl::eina::operator+ (accessor_iterator< U > lhs, typename accessor_iterator< U >::difference_type rhs)
| Get an `accessor_iterator` moved `rhs` positions forward. More...
template<typename U >
accessor_iterator< U > | efl::eina::operator+ (typename accessor_iterator< U >::difference_type lhs, accessor_iterator< U > const &rhs)
| Get an `accessor_iterator` moved `lhs` positions forward. More...
template<typename U >
bool | efl::eina::operator< (accessor_iterator< U > const &lhs, accessor_iterator< U > const &rhs)
| Check if `lhs` points to a position before the position pointed by `rhs`. More...
template<typename U >
bool | efl::eina::operator> (accessor_iterator< U > const &lhs, accessor_iterator< U > const &rhs)
| Check if `lhs` points to a position after the position pointed by `rhs`. More...
template<typename U >
bool | efl::eina::operator<= (accessor_iterator< U > const &lhs, accessor_iterator< U > const &rhs)
| Check if the position pointed by `lhs` is the same or is before the one pointed by `rhs`. More...
template<typename U >
bool | efl::eina::operator>= (accessor_iterator< U > const &lhs, accessor_iterator< U > const &rhs)
| Check if the position pointed by `lhs` is the same or is after the one pointed by `rhs`. More...
template<typename U >
void | efl::eina::swap (accessor_iterator< U > &lhs, accessor_iterator< U > &rhs)
| Swap content between two `accessor_iterator`s. More...

## Detailed Description

## Function Documentation

template<typename U >

bool efl::eina::operator== | ( | accessor_iterator< U > const & | lhs,
|  | accessor_iterator< U > const & | rhs
| ) |  |

Check if `lhs` and `rhs` point to the same position.

Parameters

  lhs | `accessor_iterator` at the left side of the expression.
  rhs | `accessor_iterator` at the right side of the expression.

Returns
  `true` if both `lhs` and `rhs` point to the same position.

Referenced by efl::eina::list< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type >::accessor(), and efl::eina::operator==().

template<typename U >

bool efl::eina::operator!= | ( | accessor_iterator< U > const & | lhs,
|  | accessor_iterator< U > const & | rhs
| ) |  |

Check if `lhs` and `rhs` point to different positions.

Parameters

  lhs | `accessor_iterator` at the left side of the expression.
  rhs | `accessor_iterator` at the right side of the expression.

Returns
  `true` if `lhs` and `rhs` point to different positions.

Referenced by efl::eina::list< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type >::accessor(), and efl::eina::operator!=().

template<typename U >

accessor_iterator<U>::difference_type efl::eina::operator- | ( | accessor_iterator< U > const & | lhs,
|  | accessor_iterator< U > const & | rhs
| ) |  |

Get the distance between two `accessor_iterator`s.

Parameters

  lhs | `accessor_iterator` at the left side of the expression.
  rhs | `accessor_iterator` at the right side of the expression.

Returns
  The number of elements between `lhs` and `rhs`.

template<typename U >

accessor_iterator<U> efl::eina::operator+ | ( | accessor_iterator< U > | lhs,
|  | typename accessor_iterator< U >::difference_type | rhs
| ) |  |

Get an `accessor_iterator` moved `rhs` positions forward.

Parameters

  lhs | `accessor_iterator` object.
  rhs | Number of positions relative to the current element.

Returns
  Copy of `lhs` moved `rhs` positions forward.

template<typename U >

accessor_iterator<U> efl::eina::operator+ | ( | typename accessor_iterator< U >::difference_type | lhs,
|  | accessor_iterator< U > const & | rhs
| ) |  |

Get an `accessor_iterator` moved `lhs` positions forward.

Parameters

  lhs | Number of positions relative to the current element.
  rhs | `accessor_iterator` object.

Returns
  Copy of `rhs` moved `lhs` positions forward.

template<typename U >

bool efl::eina::operator< | ( | accessor_iterator< U > const & | lhs,
|  | accessor_iterator< U > const & | rhs
| ) |  |

Check if `lhs` points to a position before the position pointed by `rhs`.

Parameters

  lhs | `accessor_iterator` at the left side of the expression.
  rhs | `accessor_iterator` at the right side of the expression.

Returns
  `true` if `lhs` points to a position before the position pointed by `rhs`, `false` otherwise.

template<typename U >

bool efl::eina::operator> | ( | accessor_iterator< U > const & | lhs,
|  | accessor_iterator< U > const & | rhs
| ) |  |

Check if `lhs` points to a position after the position pointed by `rhs`.

Parameters

  lhs | `accessor_iterator` at the left side of the expression.
  rhs | `accessor_iterator` at the right side of the expression.

Returns
  `true` if `lhs` points to a position after the position pointed by `rhs`, `false` otherwise.

template<typename U >

bool efl::eina::operator<= | ( | accessor_iterator< U > const & | lhs,
|  | accessor_iterator< U > const & | rhs
| ) |  |

Check if the position pointed by `lhs` is the same or is before the one pointed by `rhs`.

Parameters

  lhs | `accessor_iterator` at the left side of the expression.
  rhs | `accessor_iterator` at the right side of the expression.

Returns
  `true` if the position pointed by `lhs` is the same or is before the position pointed by `rhs`, `false` otherwise.

template<typename U >

bool efl::eina::operator>= | ( | accessor_iterator< U > const & | lhs,
|  | accessor_iterator< U > const & | rhs
| ) |  |

Check if the position pointed by `lhs` is the same or is after the one pointed by `rhs`.

Parameters

  lhs | `accessor_iterator` at the left side of the expression.
  rhs | `accessor_iterator` at the right side of the expression.

Returns
  `true` if the position pointed by `lhs` is the same or is after the position pointed by `rhs`, `false` otherwise.

template<typename U >

void efl::eina::swap | ( | accessor_iterator< U > & | lhs,
|  | accessor_iterator< U > & | rhs
| ) |  |

Swap content between two `accessor_iterator`s.

Parameters

  lhs | First `accessor_iterator`.
  rhs | Second `accessor_iterator`.

Referenced by efl::eina::accessor_common_base< T >::swap(), efl::eina::accessor< T, typename std::enable_if< !std::is_base_of<::efl::eo::concrete, T >::value, T >::type >::swap(), efl::eina::accessor< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value, T >::type >::swap(), efl::eina::accessor_iterator< T, typename std::enable_if< !std::is_base_of<::efl::eo::concrete, T >::value, T >::type >::swap(), and efl::eina::accessor_iterator< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value, T >::type >::swap().